Results 1 to 3 of 3

Thread: ATI Radeon HD 5400 driver installation problems

Hybrid View

  1. #1
    Join Date
    Jul 2011
    Beans
    6

    ATI Radeon HD 5400 driver installation problems

    I'm trying to install a driver for my graphic card on 12.04.
    when i go to "System Test" it says "VESA graphic not in use" and System-> Hardware says the graphic driver is "unknown".
    invoking "lspci | grep VGA" gives:

    00:02.0 VGA compatible controller: Intel Corporation Core Processor Integrated Graphics Controller (rev 02)
    01:00.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Manhattan [Mobility Radeon HD 5400 Series]

    I followed the suggestions of this work-through trying to install with "Additional Drivers". it did install and said the driver is active but after rebooting and invoking "fglrxinfo" i got multiple errors:

    X Error of failed request: BadRequest (invalid request code or no such operation)
    Major opcode of failed request: 136 (GLX)
    Minor opcode of failed request: 19 (X_GLXQueryServerString)
    Serial number of failed request: 12
    Current serial number in output stream: 12

    tried to use the suggestions from this thread with no luck.

    I then tried to install the propriety driver from amd following this tutorial but nothing works and when rebooting you get a message saying ubuntu running on low graphics, catalyst crashes every time. now i'm stuck trying to uninstall fglrx with the errors:

    sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

    [sudo] password for propercoil: Reading package lists... Done Building dependency tree
    Reading state information... Done Virtual packages like 'xorg-driver-fglrx' can't be removed E: Unable to locate package fglrx_8.980-0ubuntu1_i386.deb E: Couldn't find any package by regex 'fglrx_8.980-0ubuntu1_i386.deb' E: Unable to locate package fglrx- amdcccle_8.980-0ubuntu1_i386.deb E: Couldn't find any package by regex 'fglrx- amdcccle_8.980-0ubuntu1_i386.deb' E: Unable to locate package fglrx-dev_8.980- 0ubuntu1_i386.deb E: Couldn't find any package by regex 'fglrx-dev_8.980-0ubuntu1_i386.deb'

    I have spent over 15 hours total trying to resolve this, i'm about to hang the towel and go back to windows. i love the flexibility ubuntu has being a web dev but this is crazy. if only i had a remedy to the ati nonsense. i think i'm just frustrated?

  2. #2
    Join Date
    Mar 2010
    Beans
    38
    Distro
    Ubuntu

    Re: ATI Radeon HD 5400 driver installation problems

    go to bios and choose to work with intel .. perharps intel hd driver works fine with Linux

  3. #3
    Join Date
    Mar 2012
    Location
    /home/ubun2to
    Beans
    356
    Distro
    Ubuntu 13.04 Raring Ringtail

    Re: ATI Radeon HD 5400 driver installation problems

    Quote Originally Posted by jemadux View Post
    go to bios and choose to work with intel .. perharps intel hd driver works fine with Linux
    Are they Intel HD graphics? I know Ivy Bridge works with Linux-I'm using Ivy Bridge on my laptop.
    Backups are amazing. 99% of data loss can be prevented by spending less than $100 on an external drive.
    If you have seen an error, there is a good chance someone else has, too. Google is your friend.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •